Subject: [Patch] DBD::ODBC - Cygwin
From: "Neil Lunn" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 11 Aug 2000 13:42:24 EST

>From: "Fifer, Eric" <[email-masked]>

>With the Cygwin Perl port I always find the #define WIN32
>that comes from <windows.h> is always getting in the way
>when porting/building Win32ish CPAN modules like DBD::ODBC
>or Win32::OLE.

>Anyway, a #undef WIN32 shortly after the #include <windows.h>
>usually does the trick.

Eric,

Thanks for posting this. I was about to do the same, funny I only differed 
by one line in the end.

if (!$odbchome && $ENV{WINDIR} && $^O eq 'cygwin') {

I assume this will be okay in future.
For prosperity I'll put a link to the archive in this message under the new 
title.

http://sources.redhat.com/ml/cygwin/2000-08/msg00464.html

You wouldn't happen to have a short list of Win32'ish problems and patches.

If these are already in list archives it's okay to tell me to go suck eggs, 
'cos I'll admit I haven't looked yet.

Neil

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]